classification
Title: pyport.h includes antiquated UTF handling for FreeBSD
Type: Stage:
Components: ctypes, Unicode Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: JohnSchneider, ezio.melotti, georg.brandl, skrah
Priority: normal Keywords:

Created on 2012-07-15 21:19 by JohnSchneider, last changed 2013-10-13 18:24 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
patch-pyport.h JohnSchneider, 2012-07-15 21:19 pyport.h patch
Messages (3)
msg165550 - (view) Author: John Schneider (JohnSchneider) Date: 2012-07-15 21:19
Revision 36793 introduced a libc wrapper for FreeBSD 5.x which addressed some UTF issues. Unfortunately, this causes C compilation errors for certain ports.

Also reference issues 10910, 1455641

This change is no longer applicable for FreeBSD 9.  I'm not sure what version of FreeBSD made it not longer applicable, but there were reports of it still being necessary for FreebSD 7. FreeBSD 6 - 8 should be tested with this test script:
------------------------
#!/usr/bin/env python

from ctypes import *

cdll.LoadLibrary("libc.so.7")
libc = CDLL("libc.so.7")

assert libc.isspace(0xa0) == 0
------------------------

I've also attached a patch for python 2.7.3.
msg180131 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2013-01-17 13:26
Does this apply to Python 3.3 as well? I don't think we're going to
fix this in 2.7.
msg199750 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-13 18:24
Closing due to lack of feedback.
History
Date User Action Args
2013-10-13 18:24:39georg.brandlsetstatus: pending -> closed

nosy: + georg.brandl
messages: + msg199750

resolution: out of date
2013-01-17 13:26:35skrahsetstatus: open -> pending
nosy: + skrah
messages: + msg180131

2012-07-15 21:19:21JohnSchneidercreate